from OpenGL import GL
import data

class Clock:
	def __init__(self):
		self.sprite = data.load_sprite("clock.png")
		self.textsprite = data.load_text("clockfont")
	
	def draw(self, time_left):
		GL.glPushMatrix()
		GL.glTranslatef(618,8,0)
		self.sprite.draw()
		GL.glPopMatrix()
		
		GL.glPushMatrix()
		GL.glTranslatef(697,29,0)
		text = "%2d:%02d" % (int(time_left/60), int(time_left%60))
		self.textsprite.draw(text)
		GL.glPopMatrix()

class HeightMeter:
	def __init__(self):
		self.sprite = data.load_sprite("height.png")
		self.textsprite = data.load_text("clockfont")
	
	def draw(self, height):
		GL.glPushMatrix()
		GL.glTranslatef(418,8,0)
		self.sprite.draw()
		GL.glPopMatrix()
		
		GL.glPushMatrix()
		GL.glTranslatef(497,29,0)
		text = "%5.2f" % max(0,height)
		self.textsprite.draw(text)
		GL.glPopMatrix()

class SpeedOMeter:
	def __init__(self):
		self.sprite = data.load_sprite("speed.png")
		self.textsprite = data.load_text("clockfont")
	
	def draw(self, speed):
		GL.glPushMatrix()
		GL.glTranslatef(218,8,0)
		self.sprite.draw()
		GL.glPopMatrix()
		
		GL.glPushMatrix()
		GL.glTranslatef(297,29,0)
		text = "%5.2f" % max(0,speed)
		self.textsprite.draw(text)
		GL.glPopMatrix()